Qt 5.7 | Qt WebEngine | C++ Classes | QWebEngineUrlSchemeHandler

Qt 5.7.1 Reference Documentation

# QWebEngineUrlSchemeHandler Class

The QWebEngineUrlSchemeHandler is a base class for handling custom URL schemes. More...

Header: | #include <QWebEngineUrlSchemeHandler>
Since: | Qt 5.6

- List of all members, including inherited members

## Public Functions

| QWebEngineUrlSchemeHandler(QObject *parent = Q_NULLPTR)
| ~QWebEngineUrlSchemeHandler()
virtual void | requestStarted(QWebEngineUrlRequestJob *request) = 0

## Detailed Description

The QWebEngineUrlSchemeHandler is a base class for handling custom URL schemes.

To implement a custom URL scheme for QtWebEngine, you must write a class derived from this class, and reimplement requestStarted().

## Member Function Documentation

### QWebEngineUrlSchemeHandler::QWebEngineUrlSchemeHandler(QObject *parent = Q_NULLPTR)

Constructs a new URL scheme handler.

The handler is created with the parent parent.

### QWebEngineUrlSchemeHandler::~QWebEngineUrlSchemeHandler()

Deletes a custom URL scheme handler.

### `[pure virtual]` void QWebEngineUrlSchemeHandler::requestStarted(QWebEngineUrlRequestJob *request)

This method is called whenever a request request for the registered scheme is started.

This method must be reimplemented by all custom URL scheme handlers. The request is asynchronous and does not need to be handled right away.

See also QWebEngineUrlRequestJob.